POST api/pcconfigapi/addMany?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
Collection of PcConfigViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| id | globally unique identifier |
None. |
|
| key | globally unique identifier |
Required |
|
| pc_id | globally unique identifier |
Required |
|
| value | string |
String length: inclusive between 0 and 500 |
Request Formats
application/json, text/json
Sample:
[
{
"active": true,
"id": "7b2be8d8-85ad-4bdc-9b1a-d4bc2d05cd97",
"key": "909a8dd4-3867-49cf-89d0-66858c89a1be",
"pc_id": "64fbe065-62e8-4ea7-8726-bb0120f3d1ef",
"value": "sample string 3"
},
{
"active": true,
"id": "7b2be8d8-85ad-4bdc-9b1a-d4bc2d05cd97",
"key": "909a8dd4-3867-49cf-89d0-66858c89a1be",
"pc_id": "64fbe065-62e8-4ea7-8726-bb0120f3d1ef",
"value": "sample string 3"
}
]
application/xml, text/xml
Sample:
<ArrayOfpc_config xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<pc_config>
<active>true</active>
<id>7b2be8d8-85ad-4bdc-9b1a-d4bc2d05cd97</id>
<key>909a8dd4-3867-49cf-89d0-66858c89a1be</key>
<pc_id>64fbe065-62e8-4ea7-8726-bb0120f3d1ef</pc_id>
<value>sample string 3</value>
</pc_config>
<pc_config>
<active>true</active>
<id>7b2be8d8-85ad-4bdc-9b1a-d4bc2d05cd97</id>
<key>909a8dd4-3867-49cf-89d0-66858c89a1be</key>
<pc_id>64fbe065-62e8-4ea7-8726-bb0120f3d1ef</pc_id>
<value>sample string 3</value>
</pc_config>
</ArrayOfpc_config>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
None.